# Restore translation set

`POST /v1/operations/translationsets/{translationSetId}/restore`

Available as MCP tool `restore-translation-set` (Replace).

Translation set endpoints allow you to review and manage value sets, translation sets, and related translation set links. 

A <u>value set</u> is a list of values (e.g., LOINC, SNOMED, or a custom code set) that should be translated during the process of data exchange. [Learn about value sets](https://docs.redoxengine.com/permalink/57h6bja3T7Qy0Mf1ai7uMQ).

A <u>translation set</u> contains two value sets: one for incoming values and one for outgoing values between systems. A translation set also defines how those values should map to each other. [Learn about translation sets](https://docs.redoxengine.com/permalink/4GJXunyoAI3s05VrrRkJ09). 

A <u>translation set link</u> defines where the translation set should be applied in log processing for a specific subscription.

Anyone in a Redox organization can view translation sets and related value sets or links, but you must be assigned to an engineer or support role to update or delete them.

You can:

- retrieve a list of value sets by environment or organization;
- retrieve a list of translation sets by environment or organization;
- create, update, or delete value sets;
- create, update, or delete translation sets or links;
- create, update, or delete a value in a value set; or
- create or delete a translation in a translation set;

### Restore translation set

Restore a translation set to a previously used version. You can select which version to restore, whether going backward or forward.

To preview changes, set the `dryRun` query parameter to `true`. Otherwise, set the `dryRun` query parameter to `false` or omit altogether to immediately apply the restored version to the linked subscription.

> **Can’t restore an active or non-existent version**
>
> This endpoint results in an error if you try to restore to an already active version or a version that doesn’t exist.

## Request parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `translationSetId` | path | string | Yes | Contains the unique identifier for the translation set. |
| `dryRun` | query | boolean | No | Specifies whether the restore will be previewed or executed. Set to `true` to run a preview of restoring the asset; this keeps the asset at its current version. Set to `false` (or omit) to restore the version. |

## Request body

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `version` | number | No | Specifies the version of the translation set to restore. |

## Request example

_Generated from the schema: the values are placeholders, not a real payload._

```bash
curl 'https://api.redoxengine.com/platform/v1/operations/translationsets/{translationSetId}/restore' \
--request POST \
--header 'Authorization: Bearer $API_TOKEN' \
--header 'accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
  "version": 1
}'
```

## Responses

### 200

Contains a payload object with the restore details.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `previous` | object | No |  |
| `previous.createdAt` | string | No | Displays the date and time that the asset was originally created in ISO 8601 format. |
| `previous.createdBy` | object | No | Contains the metadata about the user who created the asset. |
| `previous.createdBy.id` | number | No | Contains the unique identifier of the user. |
| `previous.createdBy.name` | string, nullable | No | Displays the user's full name. |
| `previous.updatedAt` | string | No | Displays the date and time that the asset was last updated in ISO 8601 format. |
| `previous.updatedBy` | object | No | Contains the metadata about the user who last updated the asset. |
| `previous.updatedBy.id` | number | No | Contains the unique identifier of the user. |
| `previous.updatedBy.name` | string, nullable | No | Displays the user's full name. |
| `previous.deletedAt` | string, nullable | No | Displays the date and time that the asset was deleted. Returns a `null` value if the asset hasn't been deleted. |
| `previous.deletedBy` | object, nullable | No | Contains the metadata about the user who deleted the asset. |
| `previous.deletedBy.id` | number | No | Contains the unique identifier of the user. |
| `previous.deletedBy.name` | string, nullable | No | Displays the user's full name. |
| `previous.environment` | object | No | Describes the Redox environment that the asset belongs to. |
| `previous.environment.id` | string (uuid) | No | Contains the unique identifier of the Redox environment. |
| `previous.organization` | object | No | Describes the Redox organization that the asset belongs to. |
| `previous.organization.id` | number | No | Contains the unique identifier of the Redox organization. |
| `previous.organization.name` | string, nullable | No | Contains the human-readable name of the Redox organization. |
| `previous.id` | string (uuid) | No | Contains the unique identifier of the asset. |
| `previous.version` | number | No | Contains the numeric version of the asset. Version numbers start at 1 and increment in whole numbers whenever the asset is updated. |
| `previous.name` | string | No | Contains the human-readable name of the asset. |
| `previous.toValueSet` | object | No | Contains details about a value set. |
| `previous.toValueSet.id` | string (uuid) | No | Contains the unique identifier of the asset. |
| `previous.toValueSet.name` | string | No | Contains the human-readable name of the asset. |
| `previous.fromValueSet` | object | No | Contains details about a value set. |
| `previous.fromValueSet.id` | string (uuid) | No | Contains the unique identifier of the asset. |
| `previous.fromValueSet.name` | string | No | Contains the human-readable name of the asset. |
| `previous.isCaseSensitive` | boolean | No | Indicates if the translation set is case sensitive or not. |
| `previous.usage` | Array of object | No | Lists the translation set's subscription links. Each `linkId` identifies an individual subscription link. |
| `previous.usage[].linkId` | string (uuid) | No | Contains the unique identifier of the link for a specified asset. |
| `previous.usage[].dataModel` | string | No | Specifies the Redox data model that the link applies to or should apply to. |
| `previous.usage[].destination` | object | No | Specifies the destination of the subscription that an asset is or should be linked to. |
| `previous.usage[].destination.id` | string (uuid) | Yes | Contains the unique identifier of the destination. |
| `previous.usage[].direction` | string | No | Indicates the direction in which the translation set is or should be linked. This can be either `from-to` (translates a "from" value into a "to" value), or `to-from` (tranlates a "to" value into a "from" value). Possible values: from-to, to-from |
| `previous.usage[].organization` | object | No | Describes the Redox organization that the asset belongs to. |
| `previous.usage[].organization.id` | number | No | Contains the unique identifier of the Redox organization. |
| `previous.usage[].organization.name` | string, nullable | No | Contains the human-readable name of the Redox organization. |
| `previous.usage[].connectingOrganization` | object | No | Specifies the organization at the other side of the subscription that an asset is or should be linked to. |
| `previous.usage[].connectingOrganization.id` | number | Yes | Contains the unique identifier of the Redox organization. |
| `previous.usage[].paths` | Array of object | No | Lists the field paths linked to a translation set. These paths must be unique on the path property. |
| `previous.usage[].paths[].dataType` | string | No | Describes the format of the data found at the path location. |
| `previous.usage[].paths[].title` | string | No | Specifies a human-readable title for the field path. |
| `previous.usage[].paths[].path` | string | No | Specifies the path in a message to the location of the data to be translated. The path must always start with a $ to be considered valid. |
| `previous.usage[].processingLocation` | string | No | Identifies where a link will be applied during log processing. There are up to four stages that an asset can be linked to, depending on whether you own either the source, the destination, or both. Possible values: source-request, destination-request, source-response, destination-response |
| `previous.usage[].source` | object | No | Specifies the source of the subscription that an asset is or should be linked to. |
| `previous.usage[].source.id` | string (uuid) | Yes | Contains the unique identifier of the source. |
| `previous.usage[].version` | string | No | Specifies the version of the translation set link. Right now this will always be '1.0.0'. Value: 1.0.0 |
| `previous.usage[].createdAt` | string | No | Displays the date and time that the asset was originally created in ISO 8601 format. |
| `previous.usage[].createdBy` | object | No | Contains the metadata about the user who created the asset. |
| `previous.usage[].createdBy.id` | number | No | Contains the unique identifier of the user. |
| `previous.usage[].createdBy.name` | string, nullable | No | Displays the user's full name. |
| `previous.usage[].updatedAt` | string | No | Displays the date and time that the asset was last updated in ISO 8601 format. |
| `previous.usage[].updatedBy` | object | No | Contains the metadata about the user who last updated the asset. |
| `previous.usage[].updatedBy.id` | number | No | Contains the unique identifier of the user. |
| `previous.usage[].updatedBy.name` | string, nullable | No | Displays the user's full name. |
| `previous.usage[].deletedAt` | string, nullable | No | Displays the date and time that the asset was deleted. Returns a `null` value if the asset hasn't been deleted. |
| `previous.usage[].deletedBy` | object, nullable | No | Contains the metadata about the user who deleted the asset. |
| `previous.usage[].deletedBy.id` | number | No | Contains the unique identifier of the user. |
| `previous.usage[].deletedBy.name` | string, nullable | No | Displays the user's full name. |
| `previous.promotionAssociations` | Array of object | No | Contains a list of promotions associated with this asset. |
| `previous.promotionAssociations[].organization` | object | No | Describes the Redox organization that the asset belongs to. |
| `previous.promotionAssociations[].organization.id` | number | No | Contains the unique identifier of the Redox organization. |
| `previous.promotionAssociations[].organization.name` | string, nullable | No | Contains the human-readable name of the Redox organization. |
| `previous.promotionAssociations[].fromAsset` | object | No | Describes the original asset that was created in staging and promoted to production. |
| `previous.promotionAssociations[].fromAsset.id` | string (uuid) | No | Contains the unique identifier of the asset. |
| `previous.promotionAssociations[].fromAsset.environment` | object | No | Describes the Redox environment that the asset belongs to. |
| `previous.promotionAssociations[].fromAsset.environment.id` | string (uuid) | No | Contains the unique identifier of the Redox environment. |
| `previous.promotionAssociations[].fromAsset.type` | string | No | Possible values: configModifier, filter, translationSet |
| `previous.promotionAssociations[].fromAsset.latestVersion` | number | No | Displays the most recent version of the original asset in staging. This may vary from the version number in production. A different version number may indicate you need to re-promote the asset to production. |
| `previous.promotionAssociations[].toAsset` | object | No | Describes the promoted asset that can be used or linked to subscriptions in production. |
| `previous.promotionAssociations[].toAsset.id` | string (uuid) | No | Contains the unique identifier of the asset. |
| `previous.promotionAssociations[].toAsset.environment` | object | No | Describes the Redox environment that the asset belongs to. |
| `previous.promotionAssociations[].toAsset.environment.id` | string (uuid) | No | Contains the unique identifier of the Redox environment. |
| `previous.promotionAssociations[].toAsset.type` | string | No | Possible values: configModifier, filter, translationSet |
| `previous.promotionAssociations[].toAsset.latestVersion` | number | No | Displays the most recent version of the promoted asset in production. This may vary from the version number in staging. A different version number may indicate you need to re-promote the staging asset to production. |
| `previous.promotionAssociations[].toAsset.outOfDate` | boolean | No | Indicates whether the version of the promoted asset in production is different from the version of the original asset in staging. |
| `previous.promotionAssociations[].createdAt` | string | No | Displays the date and time that the asset was originally created in ISO 8601 format. |
| `previous.promotionAssociations[].createdBy` | object | No | Contains the metadata about the user who created the asset. |
| `previous.promotionAssociations[].createdBy.id` | number | No | Contains the unique identifier of the user. |
| `previous.promotionAssociations[].createdBy.name` | string, nullable | No | Displays the user's full name. |
| `previous.promotionAssociations[].updatedAt` | string | No | Displays the date and time that the asset was last updated in ISO 8601 format. |
| `previous.promotionAssociations[].updatedBy` | object | No | Contains the metadata about the user who last updated the asset. |
| `previous.promotionAssociations[].updatedBy.id` | number | No | Contains the unique identifier of the user. |
| `previous.promotionAssociations[].updatedBy.name` | string, nullable | No | Displays the user's full name. |
| `previous.promotionAssociations[].deletedAt` | string, nullable | No | Displays the date and time that the asset was deleted. Returns a `null` value if the asset hasn't been deleted. |
| `previous.promotionAssociations[].deletedBy` | object, nullable | No | Contains the metadata about the user who deleted the asset. |
| `previous.promotionAssociations[].deletedBy.id` | number | No | Contains the unique identifier of the user. |
| `previous.promotionAssociations[].deletedBy.name` | string, nullable | No | Displays the user's full name. |
| `current` | object | No |  |
| `current.createdAt` | string | No | Displays the date and time that the asset was originally created in ISO 8601 format. |
| `current.createdBy` | object | No | Contains the metadata about the user who created the asset. |
| `current.createdBy.id` | number | No | Contains the unique identifier of the user. |
| `current.createdBy.name` | string, nullable | No | Displays the user's full name. |
| `current.updatedAt` | string | No | Displays the date and time that the asset was last updated in ISO 8601 format. |
| `current.updatedBy` | object | No | Contains the metadata about the user who last updated the asset. |
| `current.updatedBy.id` | number | No | Contains the unique identifier of the user. |
| `current.updatedBy.name` | string, nullable | No | Displays the user's full name. |
| `current.deletedAt` | string, nullable | No | Displays the date and time that the asset was deleted. Returns a `null` value if the asset hasn't been deleted. |
| `current.deletedBy` | object, nullable | No | Contains the metadata about the user who deleted the asset. |
| `current.deletedBy.id` | number | No | Contains the unique identifier of the user. |
| `current.deletedBy.name` | string, nullable | No | Displays the user's full name. |
| `current.environment` | object | No | Describes the Redox environment that the asset belongs to. |
| `current.environment.id` | string (uuid) | No | Contains the unique identifier of the Redox environment. |
| `current.organization` | object | No | Describes the Redox organization that the asset belongs to. |
| `current.organization.id` | number | No | Contains the unique identifier of the Redox organization. |
| `current.organization.name` | string, nullable | No | Contains the human-readable name of the Redox organization. |
| `current.id` | string (uuid) | No | Contains the unique identifier of the asset. |
| `current.version` | number | No | Contains the numeric version of the asset. Version numbers start at 1 and increment in whole numbers whenever the asset is updated. |
| `current.name` | string | No | Contains the human-readable name of the asset. |
| `current.toValueSet` | object | No | Contains details about a value set. |
| `current.toValueSet.id` | string (uuid) | No | Contains the unique identifier of the asset. |
| `current.toValueSet.name` | string | No | Contains the human-readable name of the asset. |
| `current.fromValueSet` | object | No | Contains details about a value set. |
| `current.fromValueSet.id` | string (uuid) | No | Contains the unique identifier of the asset. |
| `current.fromValueSet.name` | string | No | Contains the human-readable name of the asset. |
| `current.isCaseSensitive` | boolean | No | Indicates if the translation set is case sensitive or not. |
| `current.usage` | Array of object | No | Lists the translation set's subscription links. Each `linkId` identifies an individual subscription link. |
| `current.usage[].linkId` | string (uuid) | No | Contains the unique identifier of the link for a specified asset. |
| `current.usage[].dataModel` | string | No | Specifies the Redox data model that the link applies to or should apply to. |
| `current.usage[].destination` | object | No | Specifies the destination of the subscription that an asset is or should be linked to. |
| `current.usage[].destination.id` | string (uuid) | Yes | Contains the unique identifier of the destination. |
| `current.usage[].direction` | string | No | Indicates the direction in which the translation set is or should be linked. This can be either `from-to` (translates a "from" value into a "to" value), or `to-from` (tranlates a "to" value into a "from" value). Possible values: from-to, to-from |
| `current.usage[].organization` | object | No | Describes the Redox organization that the asset belongs to. |
| `current.usage[].organization.id` | number | No | Contains the unique identifier of the Redox organization. |
| `current.usage[].organization.name` | string, nullable | No | Contains the human-readable name of the Redox organization. |
| `current.usage[].connectingOrganization` | object | No | Specifies the organization at the other side of the subscription that an asset is or should be linked to. |
| `current.usage[].connectingOrganization.id` | number | Yes | Contains the unique identifier of the Redox organization. |
| `current.usage[].paths` | Array of object | No | Lists the field paths linked to a translation set. These paths must be unique on the path property. |
| `current.usage[].paths[].dataType` | string | No | Describes the format of the data found at the path location. |
| `current.usage[].paths[].title` | string | No | Specifies a human-readable title for the field path. |
| `current.usage[].paths[].path` | string | No | Specifies the path in a message to the location of the data to be translated. The path must always start with a $ to be considered valid. |
| `current.usage[].processingLocation` | string | No | Identifies where a link will be applied during log processing. There are up to four stages that an asset can be linked to, depending on whether you own either the source, the destination, or both. Possible values: source-request, destination-request, source-response, destination-response |
| `current.usage[].source` | object | No | Specifies the source of the subscription that an asset is or should be linked to. |
| `current.usage[].source.id` | string (uuid) | Yes | Contains the unique identifier of the source. |
| `current.usage[].version` | string | No | Specifies the version of the translation set link. Right now this will always be '1.0.0'. Value: 1.0.0 |
| `current.usage[].createdAt` | string | No | Displays the date and time that the asset was originally created in ISO 8601 format. |
| `current.usage[].createdBy` | object | No | Contains the metadata about the user who created the asset. |
| `current.usage[].createdBy.id` | number | No | Contains the unique identifier of the user. |
| `current.usage[].createdBy.name` | string, nullable | No | Displays the user's full name. |
| `current.usage[].updatedAt` | string | No | Displays the date and time that the asset was last updated in ISO 8601 format. |
| `current.usage[].updatedBy` | object | No | Contains the metadata about the user who last updated the asset. |
| `current.usage[].updatedBy.id` | number | No | Contains the unique identifier of the user. |
| `current.usage[].updatedBy.name` | string, nullable | No | Displays the user's full name. |
| `current.usage[].deletedAt` | string, nullable | No | Displays the date and time that the asset was deleted. Returns a `null` value if the asset hasn't been deleted. |
| `current.usage[].deletedBy` | object, nullable | No | Contains the metadata about the user who deleted the asset. |
| `current.usage[].deletedBy.id` | number | No | Contains the unique identifier of the user. |
| `current.usage[].deletedBy.name` | string, nullable | No | Displays the user's full name. |
| `current.promotionAssociations` | Array of object | No | Contains a list of promotions associated with this asset. |
| `current.promotionAssociations[].organization` | object | No | Describes the Redox organization that the asset belongs to. |
| `current.promotionAssociations[].organization.id` | number | No | Contains the unique identifier of the Redox organization. |
| `current.promotionAssociations[].organization.name` | string, nullable | No | Contains the human-readable name of the Redox organization. |
| `current.promotionAssociations[].fromAsset` | object | No | Describes the original asset that was created in staging and promoted to production. |
| `current.promotionAssociations[].fromAsset.id` | string (uuid) | No | Contains the unique identifier of the asset. |
| `current.promotionAssociations[].fromAsset.environment` | object | No | Describes the Redox environment that the asset belongs to. |
| `current.promotionAssociations[].fromAsset.environment.id` | string (uuid) | No | Contains the unique identifier of the Redox environment. |
| `current.promotionAssociations[].fromAsset.type` | string | No | Possible values: configModifier, filter, translationSet |
| `current.promotionAssociations[].fromAsset.latestVersion` | number | No | Displays the most recent version of the original asset in staging. This may vary from the version number in production. A different version number may indicate you need to re-promote the asset to production. |
| `current.promotionAssociations[].toAsset` | object | No | Describes the promoted asset that can be used or linked to subscriptions in production. |
| `current.promotionAssociations[].toAsset.id` | string (uuid) | No | Contains the unique identifier of the asset. |
| `current.promotionAssociations[].toAsset.environment` | object | No | Describes the Redox environment that the asset belongs to. |
| `current.promotionAssociations[].toAsset.environment.id` | string (uuid) | No | Contains the unique identifier of the Redox environment. |
| `current.promotionAssociations[].toAsset.type` | string | No | Possible values: configModifier, filter, translationSet |
| `current.promotionAssociations[].toAsset.latestVersion` | number | No | Displays the most recent version of the promoted asset in production. This may vary from the version number in staging. A different version number may indicate you need to re-promote the staging asset to production. |
| `current.promotionAssociations[].toAsset.outOfDate` | boolean | No | Indicates whether the version of the promoted asset in production is different from the version of the original asset in staging. |
| `current.promotionAssociations[].createdAt` | string | No | Displays the date and time that the asset was originally created in ISO 8601 format. |
| `current.promotionAssociations[].createdBy` | object | No | Contains the metadata about the user who created the asset. |
| `current.promotionAssociations[].createdBy.id` | number | No | Contains the unique identifier of the user. |
| `current.promotionAssociations[].createdBy.name` | string, nullable | No | Displays the user's full name. |
| `current.promotionAssociations[].updatedAt` | string | No | Displays the date and time that the asset was last updated in ISO 8601 format. |
| `current.promotionAssociations[].updatedBy` | object | No | Contains the metadata about the user who last updated the asset. |
| `current.promotionAssociations[].updatedBy.id` | number | No | Contains the unique identifier of the user. |
| `current.promotionAssociations[].updatedBy.name` | string, nullable | No | Displays the user's full name. |
| `current.promotionAssociations[].deletedAt` | string, nullable | No | Displays the date and time that the asset was deleted. Returns a `null` value if the asset hasn't been deleted. |
| `current.promotionAssociations[].deletedBy` | object, nullable | No | Contains the metadata about the user who deleted the asset. |
| `current.promotionAssociations[].deletedBy.id` | number | No | Contains the unique identifier of the user. |
| `current.promotionAssociations[].deletedBy.name` | string, nullable | No | Displays the user's full name. |
| `dryRun` | boolean | No |  |

_Generated from the schema: the values are placeholders, not a real payload._

```json
{
  "previous": {
    "createdAt": "2024-04-25T18:17:16.719Z",
    "createdBy": {
      "id": 0,
      "name": "string"
    },
    "updatedAt": "2024-04-25T18:17:16.719Z",
    "updatedBy": {
      "id": 0,
      "name": "string"
    },
    "deletedAt": "2024-04-25T18:17:16.719Z",
    "deletedBy": {
      "id": 0,
      "name": "string"
    },
    "environment": {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
    },
    "organization": {
      "id": 122,
      "name": "string"
    },
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "version": 2,
    "name": "string",
    "toValueSet": {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "string"
    },
    "fromValueSet": {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "string"
    },
    "isCaseSensitive": true,
    "usage": [
      {
        "linkId": "009f739c-6620-43b0-978e-b245e723c57a",
        "dataModel": "PatientAdmin",
        "destination": {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
        },
        "direction": "to-from",
        "organization": {
          "id": 122,
          "name": "string"
        },
        "connectingOrganization": {
          "id": 122
        },
        "paths": [
          {
            "dataType": "string",
            "title": "Custom Path",
            "path": "$.Allergies[*].Type.Code"
          }
        ],
        "processingLocation": "source-request",
        "source": {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
        },
        "version": "1.0.0",
        "createdAt": "2024-04-25T18:17:16.719Z",
        "createdBy": {
          "id": 0,
          "name": "string"
        },
        "updatedAt": "2024-04-25T18:17:16.719Z",
        "updatedBy": {
          "id": 0,
          "name": "string"
        },
        "deletedAt": "2024-04-25T18:17:16.719Z",
        "deletedBy": {
          "id": 0,
          "name": "string"
        }
      }
    ],
    "promotionAssociations": [
      {
        "organization": {
          "id": 122,
          "name": "string"
        },
        "fromAsset": {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "environment": {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
          },
          "type": "configModifier",
          "latestVersion": 0
        },
        "toAsset": {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "environment": {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
          },
          "type": "configModifier",
          "latestVersion": 0,
          "outOfDate": true
        },
        "createdAt": "2024-04-25T18:17:16.719Z",
        "createdBy": {
          "id": 0,
          "name": "string"
        },
        "updatedAt": "2024-04-25T18:17:16.719Z",
        "updatedBy": {
          "id": 0,
          "name": "string"
        },
        "deletedAt": "2024-04-25T18:17:16.719Z",
        "deletedBy": {
          "id": 0,
          "name": "string"
        }
      }
    ]
  },
  "current": {
    "createdAt": "2024-04-25T18:17:16.719Z",
    "createdBy": {
      "id": 0,
      "name": "string"
    },
    "updatedAt": "2024-04-25T18:17:16.719Z",
    "updatedBy": {
      "id": 0,
      "name": "string"
    },
    "deletedAt": "2024-04-25T18:17:16.719Z",
    "deletedBy": {
      "id": 0,
      "name": "string"
    },
    "environment": {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
    },
    "organization": {
      "id": 122,
      "name": "string"
    },
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "version": 2,
    "name": "string",
    "toValueSet": {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "string"
    },
    "fromValueSet": {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "string"
    },
    "isCaseSensitive": true,
    "usage": [
      {
        "linkId": "009f739c-6620-43b0-978e-b245e723c57a",
        "dataModel": "PatientAdmin",
        "destination": {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
        },
        "direction": "to-from",
        "organization": {
          "id": 122,
          "name": "string"
        },
        "connectingOrganization": {
          "id": 122
        },
        "paths": [
          {
            "dataType": "string",
            "title": "Custom Path",
            "path": "$.Allergies[*].Type.Code"
          }
        ],
        "processingLocation": "source-request",
        "source": {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
        },
        "version": "1.0.0",
        "createdAt": "2024-04-25T18:17:16.719Z",
        "createdBy": {
          "id": 0,
          "name": "string"
        },
        "updatedAt": "2024-04-25T18:17:16.719Z",
        "updatedBy": {
          "id": 0,
          "name": "string"
        },
        "deletedAt": "2024-04-25T18:17:16.719Z",
        "deletedBy": {
          "id": 0,
          "name": "string"
        }
      }
    ],
    "promotionAssociations": [
      {
        "organization": {
          "id": 122,
          "name": "string"
        },
        "fromAsset": {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "environment": {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
          },
          "type": "configModifier",
          "latestVersion": 0
        },
        "toAsset": {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "environment": {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
          },
          "type": "configModifier",
          "latestVersion": 0,
          "outOfDate": true
        },
        "createdAt": "2024-04-25T18:17:16.719Z",
        "createdBy": {
          "id": 0,
          "name": "string"
        },
        "updatedAt": "2024-04-25T18:17:16.719Z",
        "updatedBy": {
          "id": 0,
          "name": "string"
        },
        "deletedAt": "2024-04-25T18:17:16.719Z",
        "deletedBy": {
          "id": 0,
          "name": "string"
        }
      }
    ]
  },
  "dryRun": true
}
```

### 400

Bad Request

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `payload` | object | No | Contains the error message. |
| `payload.error` | object | No | Contains the error message details. |
| `payload.error.id` | string | No | Contains a unique identifier for the given error instance. |
| `payload.error.title` | string | No | Displays the high-level error message, typically something succinct like `Bad Request`. |
| `payload.error.code` | string | No | Contains an alternative ID for the error type, which can be used to find relevant troubleshooting information. |
| `payload.error.detail` | string | No | Contains the specific error details for this message. |
| `payload.error.status` | number | No | Displays the corresponding HTTP status code for the error. |
| `payload.error.transient` | boolean | No | Describes whether the error will resolve itself. If `true`, no further action needs to be taken. If `false`, you may need to troubleshoot on your end to resolve the issue before the error can be processed. |

```json
{
  "payload": {
    "error": {
      "title": "Bad Request",
      "code": "validation.error.bad.request",
      "detail": "Error details",
      "status": 400,
      "transient": false
    }
  }
}
```

### 403

Forbidden

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `payload` | object | No | Contains the error message. |
| `payload.errors` | Array of object | No |  |
| `payload.errors[].title` | string | No | Displays the high-level error message, typically something succinct like `Forbidden`. |
| `payload.errors[].code` | string | No | Contains an alternative ID for the error type, which can be used to find relevant troubleshooting information. |

```json
{
  "payload": {
    "errors": [
      {
        "title": "Forbidden",
        "code": "authorization.forbidden"
      }
    ]
  }
}
```

### 500

Internal Server Error

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `payload` | object | No | Contains the error message. |
| `payload.error` | object | No | Contains the error message details. |
| `payload.error.title` | string | No | Displays the high-level error message, typically something succinct like `Failed in step X`. |
| `payload.error.code` | string | No | Contains an alternative ID for the error type, which can be used to find relevant troubleshooting information. |
| `payload.error.detail` | string | No | Contains the specific error details for this message. |
| `payload.error.status` | number | No | Displays the corresponding HTTP status code for the error. |
| `payload.error.transient` | boolean | No | Describes whether the error will resolve itself. If `true`, no further action needs to be taken. If `false`, you may need to troubleshoot on your end to resolve the issue before the error can be processed. |

```json
{
  "payload": {
    "error": {
      "title": "Internal Server Error",
      "code": "failed.db.lookup",
      "detail": "Error details",
      "status": 500,
      "transient": true
    }
  }
}
```
